Required OpenGL extensions missing on Ubuntu

I’m trying the bicubicTexture project in SDK on Ubuntu 8.10, It compiles good. But when I run it, it gets :Required OpenGL extensions missing.
It’s only in the emulation mode. Anyone here has the same problem? And thanks for any help in advance.

That’s expected behavior unless you’re using an X driver with OpenGL support.